"use strict";

exports.__esModule = true;
exports["default"] = void 0;

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.string.split.js");

require("core-js/modules/es.array.filter.js");

require("core-js/modules/es.array.for-each.js");

require("core-js/modules/web.dom-collections.for-each.js");

var eventQueues = {};

var EventUtil = function EventUtil() {
  throw new Error('静态工具类禁止实例化');
};

exports["default"] = EventUtil;

EventUtil.addEventListener = function (type, callback) {
  if (!eventQueues[type]) {
    eventQueues[type] = [];
  }

  eventQueues[type].push(callback);
  var eventType = type.split('.')[0];

  if (window.addEventListener) {
    window.addEventListener(eventType, callback, false);
    return;
  } // @ts-ignore


  if (window.attachEvent) {
    // @ts-ignore
    window.attachEvent("on" + eventType, callback);
  }
};

EventUtil.removeEventListener = function (type, callback) {
  var _eventQueues$type;

  eventQueues[type] = (_eventQueues$type = eventQueues[type]) === null || _eventQueues$type === void 0 ? void 0 : _eventQueues$type.filter(function (fn) {
    return fn !== callback;
  });
  var eventType = type.split('.')[0];

  if (window.removeEventListener) {
    window.removeEventListener(eventType, callback, false);
    return;
  } // @ts-ignore


  if (window.detachEvent) {
    // @ts-ignore
    window.detachEvent("on" + eventType, callback);
  }
};

EventUtil.triggerEvent = function (type) {
  var _eventQueues$type2;

  // @ts-ignore
  (_eventQueues$type2 = eventQueues[type]) === null || _eventQueues$type2 === void 0 ? void 0 : _eventQueues$type2.forEach(function (callback) {
    return callback({
      type: type
    });
  });
};